> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quote

> Error codes for POST /v3/fx/quote

### POST v3/fx/quote

| Code | Message                                                                                                        | HTTP Status |
| ---- | -------------------------------------------------------------------------------------------------------------- | ----------- |
| 4000 | invalid from currency in request body                                                                          | 400         |
| 4001 | invalid to currency in request body                                                                            | 400         |
| 4002 | invalid markup\_type in request body, should be one of apm, card or lbt\_wire                                  | 400         |
| 4006 | invalid type in request body, should be one of apm, card, lbt\_wire for markup or payout for markdown          | 400         |
| 4007 | invalid account id, should have 'acc\_' as prefix followed by valid xid                                        | 400         |
| 4010 | invalid currency code in request body, should be in alpha 3 format                                             | 400         |
| 4017 | invalid/no from amount in req, is required with payment\_method\_family and must be greater than or equal to 0 | 400         |
| 4018 | no payment method family in req, is required with from\_amount                                                 | 400         |
| 4022 | invalid amount, should be greater than 0                                                                       | 400         |
| 4044 | invalid initial amount in request body, should be greater than 0                                               | 400         |
| 4046 | invalid converted amount in request body, should be greater than 0                                             | 400         |
| 4047 | Cannot provide both initial\_amount and converted\_amount to create quote                                      | 400         |
| 4048 | Cannot provide the same initial\_currency and final\_currency to create quote                                  | 400         |
| 4049 | invalid to\_amount or no amount is provided                                                                    | 400         |
| 4300 | fx markup config not found for currency code and markup\_type. Please provide valid currency and markup type   | 404         |
| 4313 | mark percent obtained for currency pair is greater than or equal to 100                                        | 400         |
